void painfall3(int nopain, int nofall)

{

         
       
        void self        = getlocalvar("self");
        void parent = getentityproperty(self, "parent");
         
        changeentityproperty(parent, "nopain", nopain);
        changeentityproperty(parent, "nodrop", nofall);

        


        

        
        

                
                             
                          
                          
                    
         
        

}

